summaryrefslogtreecommitdiffstats
path: root/libraries/xerces-c
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:24:27 +0200
committer David Somero2010-05-11 22:24:27 +0200
commite85138a8c5b871fc36576ea8038ec5bce0b643f8 (patch)
tree86c3f9601abe086a1e7f06192a3f76c4c2ce7068 /libraries/xerces-c
parent77deb3463d6c26a4a5cd4ee930d109b070d541ca (diff)
downloadslackbuilds-e85138a8c5b871fc36576ea8038ec5bce0b643f8.tar.gz
libraries/xerces-c: Updated for version 2.8.0
Diffstat (limited to 'libraries/xerces-c')
-rw-r--r--libraries/xerces-c/README5
-rw-r--r--libraries/xerces-c/xerces-c.SlackBuild70
-rw-r--r--libraries/xerces-c/xerces-c.info4
3 files changed, 48 insertions, 31 deletions
diff --git a/libraries/xerces-c/README b/libraries/xerces-c/README
index 72b9bb75ea..83ec9fb48d 100644
--- a/libraries/xerces-c/README
+++ b/libraries/xerces-c/README
@@ -2,7 +2,4 @@ Xerces-C++ is a validating XML parser written in a
portable subset of C++. Xerces-C++ makes it easy to
give your application the ability to read and write XML
data. A shared library is provided for parsing, generating,
-manipulating, and validating XML documents.
-
-You'll need icu4c to build this, which is also available at
-Slackbuilds.org \ No newline at end of file
+manipulating, and validating XML documents. \ No newline at end of file
diff --git a/libraries/xerces-c/xerces-c.SlackBuild b/libraries/xerces-c/xerces-c.SlackBuild
index 2beb0f65e6..c4720ff651 100644
--- a/libraries/xerces-c/xerces-c.SlackBuild
+++ b/libraries/xerces-c/xerces-c.SlackBuild
@@ -1,64 +1,84 @@
#!/bin/sh
# Slackware build script for xerces-c
-# Written by ppr:kut <hmwiesinger@gmx.at>
-set -e
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xerces-c
-VERSION=src_2_8_0
-PKGVER=2.8.0
+VERSION=2.8.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCVER=$(echo $VERSION | tr . _)
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-src_$SRCVER
+tar xvzf $CWD/$PRGNAM-src_$SRCVER.tar.gz
+cd $PRGNAM-src_$SRCVER
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
cd src/xercesc/
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
- ICUROOT=/usr \
- ./runConfigure -p linux -c gcc -x g++ -m inmem -n socket -t icu -r pthread -P /usr
-
- XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
- ICUROOT=/usr \
- make
-
- XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
+ XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
+ ./runConfigure -p linux -c gcc -x g++ -m inmem -n socket -t native -r pthreads -P /usr
+
+# I could not get this to compile with more than 1 job, XGizzmo
+ XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
+ make -j1
+
+ XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
ICUROOT=/usr \
make install DESTDIR=$PKG
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a KEYS LICENSE* NOTICE Readme.html STATUS credits.txt \
- $PKG/usr/doc/$PRGNAM-$PKGVER
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/xerces-c/xerces-c.info b/libraries/xerces-c/xerces-c.info
index 032c0ebdea..ffe70772d3 100644
--- a/libraries/xerces-c/xerces-c.info
+++ b/libraries/xerces-c/xerces-c.info
@@ -1,8 +1,8 @@
PRGNAM="xerces-c"
VERSION="2.8.0"
HOMEPAGE="http://xml.apache.org/xerces-c/"
-DOWNLOAD="http://www.apache.org/dist/xerces/c/sources/xerces-c-src_2_8_0.tar.gz"
+DOWNLOAD="http://apache.mirrors.tds.net/xerces/c/2/sources/xerces-c-src_2_8_0.tar.gz"
MD5SUM="5daf514b73f3e0de9e3fce704387c0d2"
MAINTAINER="ppr:kut"
EMAIL="HMWiesinger@gmx.at"
-APPROVED="rworkman"
+APPROVED="David Somero"